Results 1 to 9 of 9

Thread: Problem with libaudio.so.2

  1. #1

    Default Problem with libaudio.so.2

    I need to install DraftSight, but it asks me for libaudio.so.2
    How can I get this and install it? I'm using openSUSE 12.1

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,732

    Default Re: Problem with libaudio.so.2

    And libaudio2 from Packman does not contain this file?
    Henk van Velden

  3. #3

    Default Re: Problem with libaudio.so.2

    so, this is the message i get: "nothing provides libaudio.so.2 needed by dassault-systemes-draftsight-2012.5.53-2.i386"

  4. #4

    Default Re: Problem with libaudio.so.2

    I solved it! If you're having the same problem, just go here: "http://rpmfind.net/linux/rpm2html/search.php?query=libaudio.so.2" and download appropriate file and install it.

  5. #5
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Problem with libaudio.so.2

    Am 22.07.2012 01:06, schrieb thermooo:
    >
    > so, this is the message i get: "nothing provides libaudio.so.2 needed by
    > dassault-systemes-draftsight-2012.5.53-2.i386"
    >
    >

    On my system I get
    Code:
    martinh@ganymed:~> LANG=C zypper wp libaudio.so.2
    Loading repository data...
    Reading installed packages...
    S | Name            | Type    | Version   | Arch   | Repository
    --+-----------------+---------+-----------+--------+-------------------
    | libaudio2       | package | 1.9.2-2.6 | x86_64 | Packman Repository
    | libaudio2       | package | 1.9.2-2.6 | i586   | Packman Repository
    | libaudio2-32bit | package | 1.9.2-2.6 | x86_64 | Packman Repository
    which indicates that you have no Packman Reository.

    Can you open a terminal and type
    Code:
    zypper lr -d
    and post the output here between code tags?

    --
    PC: oS 12.1 x86_64 | i7-2600@3.40GHz | 16GB | KDE 4.8.4 | GeForce GT 420
    ThinkPad E320: oS 12.1 x86_64 | i3@2.30GHz | 8GB | KDE 4.8.4 | HD 3000
    eCAFE 800: oS 12.1 i586 | AMD Geode LX 800@500MHz | 512MB | KDE 3.5.10



  6. #6

    Default Re: Problem with libaudio.so.2

    Yes, sure. Here's the output:

    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+------------------------------------+------------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------+--------
    1 | Updates-for-openSUSE-12.1-12.1-1.4 | Updates for openSUSE 12.1 12.1-1.4 | Yes | Yes | 99 | rpm-md | Index of /update/12.1 |
    2 | openSUSE-12.1-12.1-1.4 | openSUSE-12.1-12.1-1.4 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GH22NS50_K2ZA6MD4004,/dev/sr0 |
    3 | repo-debug | openSUSE-12.1-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/12.1/repo/oss |
    4 | repo-debug-update | openSUSE-12.1-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/12.1 |
    5 | repo-non-oss | openSUSE-12.1-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/12.1/repo/non-oss |
    6 | repo-oss | openSUSE-12.1-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/12.1/repo/oss |
    7 | repo-source | openSUSE-12.1-Source | No | Yes | 99 | NONE | Index of /source/distribution/12.1/repo/oss

  7. #7
    Join Date
    Aug 2008
    Location
    Seattle, WA
    Posts
    1,376

    Default Re: Problem with libaudio.so.2

    Quote Originally Posted by thermooo View Post
    Yes, sure. Here's the output:

    # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    --+------------------------------------+------------------------------------+---------+---------+----------+--------+----------------------------------------------------------------------------------+--------
    1 | Updates-for-openSUSE-12.1-12.1-1.4 | Updates for openSUSE 12.1 12.1-1.4 | Yes | Yes | 99 | rpm-md | Index of /update/12.1 |
    2 | openSUSE-12.1-12.1-1.4 | openSUSE-12.1-12.1-1.4 | Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-HL-DT-ST_DVDRAM_GH22NS50_K2ZA6MD4004,/dev/sr0 |
    3 | repo-debug | openSUSE-12.1-Debug | No | Yes | 99 | NONE | Index of /debug/distribution/12.1/repo/oss |
    4 | repo-debug-update | openSUSE-12.1-Update-Debug | No | Yes | 99 | NONE | Index of /debug/update/12.1 |
    5 | repo-non-oss | openSUSE-12.1-Non-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/12.1/repo/non-oss |
    6 | repo-oss | openSUSE-12.1-Oss | Yes | Yes | 99 | yast2 | Index of /distribution/12.1/repo/oss |
    7 | repo-source | openSUSE-12.1-Source | No | Yes | 99 | NONE | Index of /source/distribution/12.1/repo/oss
    You'll need the Packman repository for multimedia support. There are many restricted formats not provided in the supported repos. Here's a quick how-to for adding these:

    http://forums.opensuse.org/english/g...one-click.html

  8. #8
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,732

    Default Re: Problem with libaudio.so.2

    Hello thermooo,

    You are new here, thus Welcome!.

    That said I have a few remarks. We are all volunteer s and try to help you. That means that often we try to have a sort of discussion where people here ask you (it is you that has a problem) for further information. Please try to provide that information, or at least post back why you can or will not do that. May be you do not know how to do it. That is no problem, please ask. But do not simply skip giving an answer. As a result, people will then leave you to your own.

    My question in post #2 above was:
    And libaudio2 from Packman does not contain this file?
    you gave no answer to this. Not even saying: "what is Packman".
    And now, after you walking in the wrong direction some more steps, we find out, you do not have the Packman repository enabled. And you must have it, else you will have many more problems when trying to use multimedia.

    Please, next time try to pick up the discussion, it will lead to a good solution much sooner and to less frustration for all.

    One last thing. You can not know, because you are new here and it is not obvious how to use it, but please, next time you post computer text, use CODE tags: http://forums.opensuse.org/english/i...ags-guide.html
    And please then copy/paste from you terminal window including the prompt, the command and the output.
    Henk van Velden

  9. #9
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: Problem with libaudio.so.2

    On 2012-07-22 01:16, thermooo wrote:
    >
    > I solved it! If you're having the same problem, just go here:
    > "http://rpmfind.net/linux/rpm2html/search.php?query=libaudio.so.2" and
    > download appropriate file and install it.


    That is dangerous. Delete that rpm and install it instead from packman.

    --
    Cheers / Saludos,

    Carlos E. R.
    (from 11.4 x86_64 "Celadon" at Telcontar)



Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •